using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace CSharpProjekt {
    public partial class Form1 : Form {
        Spiel spiel;

        public Spiel Spiel {
            get { return spiel; }
            set { spiel = value; }
        }
        public SpielerControl SpielerControl1 {
            get { return spielerControl1; }
            set { spielerControl1 = value; }
        }
        public SpielerControl SpielerControl2 {
            get { return spielerControl2; }
            set { spielerControl2 = value; }
        }


        public Form1 () {
            InitializeComponent ();
            BackgroundImage = PicLib.Properties.Pics.wand_burgmauer;
            spielerControl1.Parent = this;
            spielerControl2.Parent = this;
        }

        private void Form1_Load (object sender, EventArgs e) {

        }


        private void neuesSpielButton_Click (object sender, EventArgs e) {
            //spiel = new Spiel (this);

            if (spiel != null) {
                MessageBoxButtons buttons = MessageBoxButtons.OKCancel;
                MessageBoxIcon icon = MessageBoxIcon.Question;
                DialogResult dr = MessageBox.Show(this, "Wirklich ein neues Spiel beginnen?", "Neues Spiel", buttons, icon);
                if (dr == DialogResult.Cancel)
                    return;
            }
            new NeuesSpielDialog(this).ShowDialog(this);
        }

    }
}
